Package org.htmlunit

# Enum Class WebRequest.HttpHint

java.lang.Object
java.lang.Enum<WebRequest.HttpHint>
org.htmlunit.WebRequest.HttpHint

All Implemented Interfaces:
  `Serializable`, `Comparable<WebRequest.HttpHint>`, `Constable`

Enclosing class:
  `WebRequest`

public static enum WebRequest.HttpHint extends Enum<WebRequest.HttpHint>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BlockCookies`
  Disable sending of stored cookies and receiving of new cookies.
  `IncludeCharsetInContentTypeHeader`
  Force to include the charset.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static WebRequest.HttpHint`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static WebRequest.HttpHint[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### IncludeCharsetInContentTypeHeader

    public static final WebRequest.HttpHint IncludeCharsetInContentTypeHeader
    Force to include the charset.

  - ### BlockCookies

    public static final WebRequest.HttpHint BlockCookies
    Disable sending of stored cookies and receiving of new cookies.

- ## Method Details

  - ### values

    public static WebRequest.HttpHint[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static WebRequest.HttpHint valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null